/*---------------------------------------------------------------------------
  Project:  ImageDb
  File:     ImageIOArchiveMount.h
  
  Mounting filesystem archives
  ---------------------------------------------------------------------------*/
#ifndef IMAGE_IO_ARCHIVE_MOUNT_H_
#define IMAGE_IO_ARCHIVE_MOUNT_H_

#include <imgdb/Core/ImageDbResult.h>


namespace imgdb {
    namespace mnt {


/*
  
  
  
  
  
  */
bool IsMountSdmc();

/*
  
  
  
  
  
  
  
  
  */
bool MountSdmc();

/*
  
  
  
  
  
  
  
  */
void UnmountSdmc();

/*
  
  
  
  
  
  
  
  
  */
Result CheckSdmcState();



    } // end of namespace mnt
} // end of namespace imgdb

#endif // IMAGE_IO_ARCHIVE_MOUNT_H_
